You are Here:
Linux Lite 4.6 Final has been released. See the Release Announcements section for more information.



[ SOLVED ] Failed to Download Repository Information

Author (Read 6358 times)

0 Members and 2 Guests are viewing this topic.

Failed to Download Repository Information
« on: March 02, 2016, 08:33:28 PM »
 

torreydale

  • PayPal Supporter
  • Platinum Level Poster
  • *****
  • 1482
    Posts
  • Country: us
  • Reputation: 242
  • * Forum Moderator *

  • Linux Lite: 4.6 64bit

  • CPU: Intel Core i5-5300U (-HT-MCP-)

  • MEMORY: 8Gb

  • VIDEO CARD: Intel Broadwell-U Integrated Graphics
Getting this popup when trying to install updates. 


When trying to change updates server, I get the following:


UPDATE:  Got the answer here: 
https://www.linuxliteos.com/forums/linux-lite-software-development/update-checker/msg21846/?topicseen#msg21846
Last Edit: March 02, 2016, 08:40:20 PM by torreydale
Want to thank me?  Click my [Thank] link.
 


Re: Failed to Download Repository Information
« Reply #1 on: March 02, 2016, 08:40:02 PM »
 

aviceda

  • New to Forums
  • *
  • 32
    Posts
  • Country: au
  • Reputation: 2
  • Linux Lite Member

  • Linux Lite: 2.6 64bit

  • CPU: 2x Intel(R) Pentium(R) 4 CPU 2.80GHz

  • MEMORY: 8Gb
Just had the same problem, there are a couple of issues (mentioned in my previous threads and other similar posts) when I 'unchecked' the Google repo and changed the LL path in the software dialogue from Trusty to Beryl.
Have a try with that (...you might need to reference previous posts to get better detail)
Tom
 

Re: Failed to Download Repository Information
« Reply #2 on: March 02, 2016, 08:48:24 PM »
 

firenice03

  • Rockin' the FREE World
  • Global Moderator
  • Platinum Level Poster
  • *****
  • 1148
    Posts
  • Country: us
  • Reputation: 223
  • Linux Lite Member

  • Linux Lite: 4.6 64bit

  • CPU: AMD E2//Atom X5//AMD Phenom II X2

  • MEMORY: 4Gb

  • VIDEO CARD: AMD Mullin Radeon R2//Intel//AMD/ATI RS880
I'd say 32-bit OS - un-check the Goggle repo

For 64-bit... Repo not updated yet (See below)

Recently google removed 32bit chrome from repo. However not updated repo data yet.

If you are on 64bit, simply edit
Code: [Select]
/etc/apt/sources.list.d/google-chrome.list
Change from:
Code: [Select]
deb http://dl.google.com/linux/chrome/deb/ stable main
To:
Code: [Select]
deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main
LL 4.6 UEFI 64 bit ASUS E402W - AMD E2 (Quad) 1.5Ghz  - 4GB - AMD Mullins Radeon R2
LL 4.6 64 bit HP 6005- AMD Phenom II X2 - 8GB - AMD/ATI RS880 (HD4200)
LL 4.4 UEFI 64 bit Test UEFI Kangaroo (Mobile Desktop) - Atom X5-Z8500 1.44Ghz - 2GB - Intel HD Graphics
LL 3.8 32 bit Dell Inspiron Mini - Atom N270 1.6Ghz - 1GB - Intel Mobile 945GSE Express
RETIRED LL 2.8 64 bit Dell Optiplex 160 (Thin) - Atom 230 1.6Ghz - 4GB-SiS 771/671 PCIE VGA
Running Linux Lite since LL2.2
 

Re: Failed to Download Repository Information
« Reply #3 on: March 03, 2016, 03:55:00 AM »
 

Jocklad

  • Banned
  • Gold Level Poster
  • *******
  • 508
    Posts
  • Country: scotland
  • Reputation: 67
  • Linux Lite Member

  • Linux Lite: 4.4 64bit

  • MEMORY: 8Gb
That fixed the 64 bit.......Thanks Firenice03  :) :) :)
 

Re: Failed to Download Repository Information
« Reply #4 on: March 03, 2016, 10:59:08 AM »
 

Coastie

  • PayPal Supporter
  • Gold Level Poster
  • *****
  • 656
    Posts
  • Country: us
  • Reputation: 51
  • Linux Lite User

  • Linux Lite: 3.8 64bit

  • CPU: AMD A10-6700 (ASUS M32)

  • MEMORY: 12Gb

  • VIDEO CARD: ADM Radeon HD (integrated)
I'd say 32-bit OS - un-check the Goggle repo

Thanks. That fixed 32 bit OS.  8)


Left Mac OS X for Linux in Jan 2014
 

Re: Failed to Download Repository Information
« Reply #5 on: March 03, 2016, 12:27:49 PM »
 

Richard B

  • New to Forums
  • *
  • 43
    Posts
  • Country: gb
  • Reputation: 10
  • Linux Lite Member

  • Linux Lite: 3.2 64bit
I see this is marked as solved, but I don't think it is. If some of the repositories listed are wrong then the list needs correcting. Just "unticking" them so they don't get checked does not seem the right solution - and how is a noob to know what to do? I use and promote Linux Lite, but problems like this when following the advice given (update after an install) will give it a bad name.
Desktop: Own build. Intel Atom D510 (2 cores/4 threads 1.66GHz) on Intel D510M0 m/board. 2GB. 1920x1080 VDU. Lite 3.2. Also use LL on netbook (dual boot with rarely used W7) and various old laptops. NAS drive hosted by Raspberry Pi.
 

Re: Failed to Download Repository Information
« Reply #6 on: March 03, 2016, 04:36:15 PM »
 

Featherman

  • New to Forums
  • *
  • 3
    Posts
  • Reputation: 0
  • Linux Lite Member

  • Linux Lite: 2.8 64bit

  • CPU: intel core i3.

  • MEMORY: 4Gb

  • VIDEO CARD: intel
hello,
I am experiencing exactly the same issue.The system updates run fine until google chrome is installed then i get the pop ups and cannot update anywhere on the system and that includes the package manager.I have had to re-install a saved image to a pre chrome state and i dare not install chrome now...bit off putting to be honest.
 

Re: Failed to Download Repository Information
« Reply #7 on: March 03, 2016, 04:44:52 PM »
 

mandoran

  • Forum Regular
  • ***
  • 101
    Posts
  • Country: no
  • Reputation: 6
  • Linux Lite Member

  • Linux Lite: 1.0.6
I tend to agree - I have the same issue and besides not feeling completely at ease just dropping a few repositories, I am not getting any clue about which one(s) are failing.
 

Re: Failed to Download Repository Information
« Reply #8 on: March 03, 2016, 04:55:17 PM »
 

nomko

  • Forum Regular
  • ***
  • 117
    Posts
  • Country: nl
  • Reputation: 13
  • Linux Lite Member
    • My personal Linux site

  • Linux Lite: 2.6 64bit

  • CPU: Intel Core i7

  • MEMORY: 16Gb

  • VIDEO CARD: Intel 4th. Gen. integr. GPU/Nvidia GeForce GTX860M
My laptop:
MSI GE70-2PE*Quad core Intel Core i7-4710HQ*Kingston 16 GB RAM*Intel 4th Gen. Integr. GPU/NVidia GeForce GTX860M*Qualcomm Atheros Killer E2200/Intel Wireless 3160

I don't need Google, my wife knows everything!

My Linux website
 

Re: Failed to Download Repository Information
« Reply #9 on: March 03, 2016, 04:59:44 PM »
 

Featherman

  • New to Forums
  • *
  • 3
    Posts
  • Reputation: 0
  • Linux Lite Member

  • Linux Lite: 2.8 64bit

  • CPU: intel core i3.

  • MEMORY: 4Gb

  • VIDEO CARD: intel
Thats all well and good but why would the complete package manager not update at all..?.its not just chrome which needs updating.
I tried (with chrome installed) to update everywhere on the system with no joy.A complete newbie will be mystified.
Is there a proper fix on the way from the repo maintainers.?

So what happens now.?
Are linux lite users to be left up the creek without a paddle and unable
 to install the chrome browser.Surely the repo maintainers were prepared for this.?

I have tried 4-5 times today to get chrome installed and i gave up in the end.
this needs sorting asap.
Last Edit: March 03, 2016, 05:06:16 PM by Featherman
 

Re: Failed to Download Repository Information
« Reply #10 on: March 03, 2016, 05:30:40 PM »
 

firenice03

  • Rockin' the FREE World
  • Global Moderator
  • Platinum Level Poster
  • *****
  • 1148
    Posts
  • Country: us
  • Reputation: 223
  • Linux Lite Member

  • Linux Lite: 4.6 64bit

  • CPU: AMD E2//Atom X5//AMD Phenom II X2

  • MEMORY: 4Gb

  • VIDEO CARD: AMD Mullin Radeon R2//Intel//AMD/ATI RS880
Remember folks - Google ended Chrome support for 32-bit linux (not just LL) on 3/1..  :(
This has been mentioned previously.. Feel free to search for specific info..
*Thread* https://www.linuxliteos.com/forums/on-topic/so-what-are-we-going-to-do-about-this/msg20345/#msg20345

The Google repo's will fail for and may continue to fail for 32-bit Linux OS's as Chrome is no longer supported.
The 64-bit version can be updated but at this time requires manual intervention.

I'm not one of the Dev's but I'm sure they will update the repos and all will be as it was  8)

In the meanwhile you can uncheck the offending or if your running 64-bit you can update the source.list file as mentioned previously..



Last Edit: March 03, 2016, 05:43:59 PM by firenice03
LL 4.6 UEFI 64 bit ASUS E402W - AMD E2 (Quad) 1.5Ghz  - 4GB - AMD Mullins Radeon R2
LL 4.6 64 bit HP 6005- AMD Phenom II X2 - 8GB - AMD/ATI RS880 (HD4200)
LL 4.4 UEFI 64 bit Test UEFI Kangaroo (Mobile Desktop) - Atom X5-Z8500 1.44Ghz - 2GB - Intel HD Graphics
LL 3.8 32 bit Dell Inspiron Mini - Atom N270 1.6Ghz - 1GB - Intel Mobile 945GSE Express
RETIRED LL 2.8 64 bit Dell Optiplex 160 (Thin) - Atom 230 1.6Ghz - 4GB-SiS 771/671 PCIE VGA
Running Linux Lite since LL2.2
 

Re: Failed to Download Repository Information
« Reply #11 on: March 03, 2016, 07:40:38 PM »
 

mzito59

  • New to Forums
  • *
  • 4
    Posts
  • Reputation: 1
  • Linux Lite Member

  • Linux Lite: 2.8 64bit

  • CPU: AMD A4-5000

  • MEMORY: 8Gb

  • VIDEO CARD: Radeon
This worked for me:

sudo sed -i -e 's/deb http/deb [arch=amd64] http/' "/etc/apt/sources.list.d/google-chrome.list"
sudo sed -i -e 's/deb http/deb [arch=amd64] http/' "/opt/google/chrome/cron/google-chrome"

More info on WebUpd8 page:
http://www.webupd8.org/2016/03/fix-failed-to-fetch-google-chrome_3.html#more
 

Re: Failed to Download Repository Information
« Reply #12 on: March 04, 2016, 01:33:34 PM »
 

Featherman

  • New to Forums
  • *
  • 3
    Posts
  • Reputation: 0
  • Linux Lite Member

  • Linux Lite: 2.8 64bit

  • CPU: intel core i3.

  • MEMORY: 4Gb

  • VIDEO CARD: intel
Im using a 64bit system and installing 64bit chrome still causes problems updating.I can understand a problem with updating chrome but the computer is not being updated because of this.I dont understand why all the other updates will not function plus the package manager will not work with chrome installed.
 

Re: Failed to Download Repository Information
« Reply #13 on: March 04, 2016, 02:03:20 PM »
 

Wirezfree

  • PayPal Supporter
  • Platinum Level Poster
  • *****
  • 1484
    Posts
  • Country: gb
  • Reputation: 404
  • Linux Lite "Advocate"

  • Linux Lite: 2.8 64bit

  • CPU: i7-4790S

  • MEMORY: 16Gb

  • VIDEO CARD: Intel HD4600 (Integrated)
The repo information needs updating per the many posts on various threads.
If you run the 2 commands in a terminal it will be fine.
Code: [Select]
sudo sed -i -e 's/deb http/deb [arch=amd64] http/' "/etc/apt/sources.list.d/google-chrome.list"
sudo sed -i -e 's/deb http/deb [arch=amd64] http/' "/opt/google/chrome/cron/google-chrome"

The 32bit Chrome issue was well publicised
It appears however that Google changed the 64bit repo for some reason..??
I don't see this as a LL issue, but poor information from Google.
Upgrades WIP 2.6 to 2.8 - (6 X 2.6 to 2.8 completed on: 20/02/16 All O.K )
Linux Lite 3.0 Humming on a ASRock N3070 Mobo ~ btrfs RAID 10 Install on 4 Disks :)

Computers Early days:
ZX Spectrum(1982) , HP-150 MS-DOS(1983) , Amstrad CPC464(1984) ,  BBC Micro B+64(1985) , My First PC HP-Vectra(1987)
 


Tags:
 


Linux Lite 4.6 Final has been released. See the Release Announcements section for more information.